/*集团交易对账方案主表*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_ACCCHECK') 
 CREATE TABLE T_GL_ACCCHECK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT '0' NOT NULL,
FCOURSEID BIGINT DEFAULT 0 NOT NULL,
FOPPOSITECOURSEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMBOFIELD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYTEXT NVARCHAR(30) DEFAULT ' ' NOT NULL
);
/*集团交易对账多语言表*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_ACCCHECK_L') 
 CREATE TABLE T_GL_ACCCHECK_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);
/*集团交易对账分录表*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_ACCCHECKENTRY') 
 CREATE TABLE T_GL_ACCCHECKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOURSESID BIGINT DEFAULT 0 NOT NULL,
FCASHFLOWID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTDIMENSIONBKID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTDIMENSIONBXID BIGINT DEFAULT 0 NOT NULL,
FOPPOSITECOURSESID BIGINT DEFAULT 0 NOT NULL,
FOPPOSITECASHFLOWID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTDIMENSIONDKID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTDIMENSIONDXID BIGINT DEFAULT 0 NOT NULL,
FACCESSTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FACCESSTYPES NVARCHAR(30) DEFAULT ' ' NOT NULL
);
/*建立索引*/
EXEC P_ALTERPK 'PK_T_GL_ACCCHECK', 'T_GL_ACCCHECK', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_ACCCHECK_INDEX') CREATE INDEX IDX_GL_ACCCHECK_INDEX ON T_GL_ACCCHECK ( FUSEORG );

EXEC P_ALTERPK 'PK_T_GL_ACCCHECK_L', 'T_GL_ACCCHECK_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_ACCCHECK_L') CREATE INDEX IDX_GL_ACCCHECK_L ON T_GL_ACCCHECK_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_T_GL_ACCCHECKENTRY', 'T_GL_ACCCHECKENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_ACCCHECKENTRY_FID') CREATE INDEX IDX_GL_ACCCHECKENTRY_FID ON T_GL_ACCCHECKENTRY ( FID );