DELETE FROM t_meta_bizextcase WHERE FID = 1387640492115775488;
INSERT INTO t_meta_bizextcase(FID,FVERSION,FSAMPLE_TAG,FISV,FOBJECTTYPE,FMASTERID,FSTATUS,FNUMBER,FNAME,FINTERFACE,FCREATETIME,FENABLE,FMODIFIERID,FBIZAPPID,FMODIFYTIME,FCREATORID,FSAMPLE) VALUES (1387640492115775488,1650935924982,'{"text":"## 往来通知单勾稽检查，自定义检查规则扩展接口\n## 扩展场景说明\n#### 标准产品的勾稽规则不能满足某些特殊场景，提供自定义的勾稽检查规则\n## 使用说明\n```\n/**\n * @Description: 往来通知单勾稽检查，自定义检查规则扩展接口\n */\n@SdkPlugin(name = \"往来通知单勾稽检查，自定义检查规则扩展插件\")\n@SdkPublic\n\npublic interface INoticeCheck {\n    /**\n     * 业务场景编码：配置工具-业务场景菜单配置编码\n     */\n    String BIZCODE = \"kd.sdk.fi.gl.extpoint.notice.INoticeCheck.extCheck\";\n    /**\n     * 自定义校验接口\n     * @param sendList 发送通知单列表,receiveList 接收通知单列表\n     * @return 是，检查通过，否，检查不通过\n     * @throws\n     *\n     * <p>扩展示例如下\n    <pre><code>\n    package hx.fi.gl.extpoint.notice;\n    import kd.bos.report.ReportList;\n    import kd.sdk.fi.gl.extpoint.notice.INoticeCheck;\n\n    public class HxNoticeCHeck implements INoticeCheck {\n        public boolean extCheck(ReportList sendList, ReportList receiveList) {\n            if(sendList ==null||receiveList==null){\n                return false;\n            }\n            ...\n            return false;\n        }\n    }\n    </code></pre>\n     */\n```"}','kingdee','gl_acnotice_check',1387640492115775488,'C','kd.sdk.fi.gl.extpoint.notice.INoticeCheck.extCheck','扩展勾稽校验','kd.sdk.fi.gl.extpoint.notice.INoticeCheck',{ts'2018-08-08  00:00:00'},'1',1,'83bfebc8000017ac',{ts'2018-08-08  00:00:00'},1,' '); 
DELETE FROM t_meta_bizextcase WHERE FID = 1444294426355772416;
INSERT INTO t_meta_bizextcase(FID,FVERSION,FSAMPLE_TAG,FISV,FOBJECTTYPE,FMASTERID,FSTATUS,FNUMBER,FNAME,FINTERFACE,FCREATETIME,FENABLE,FMODIFIERID,FBIZAPPID,FMODIFYTIME,FCREATORID,FSAMPLE) VALUES (1444294426355772416,1655373312439,'{"text":"## 凭证摊销转入金额分配\n## 扩展场景说明\n#### 标准产品默认转入金额为平均分配，存在按照自定义方式分配场景\n## 使用说明\n```\n/**\n * @description 凭证摊销转入金额分配\n */\n@SdkPlugin(name = \"根据待摊凭证分录自定义转入的凭证分录\")\n@SdkPublic\npublic interface IAmountAllocate {\n\n    String BIZCODE = \"kd.sdk.fi.gl.extpoint.amort.IAmountAllocate.dealVoucher\";\n\n    /**\n     * 根据待摊凭证分录自定义转入的凭证分录\n     * @param destEntries   转入凭证分录，可进行自定义修改\n     * @param targetEntries 待摊凭证分录，对其的修改将无效\n     * @param schemeDyn     凭证摊销方案对象，可用来判断参数，对其的修改将无效\n     *\n     * <pre><code>\n     *  public class AmortExtTest implements IAmountAllocate {\n     *\n     *      public void dealDestEntries(List>DynamicObject< destEntries, List<DynamicObject> targetEntries, DynamicObject schemeDyn) {\n     *          destEntries.forEach(destRow->{\n     *              for (DynamicObject targetRow: targetEntries){\n     *                  if (destRow.getLong(\"assgrp_id\") == targetRow.getLong(\"assgrp_id\")){\n     *                      destRow.set(\"debitori\", targetRow.getBigDecimal(\"creditori\"));\n     *                      destRow.set(\"debitlocal\", targetRow.getBigDecimal(\"creditlocal\"));\n     *                  }\n     *              }\n     *          });\n     *      }\n     *  }\n     * </code></pre>\n     */\n```"}','kingdee','gl_voucheramortacheme',1444294426355772416,'C','kd.sdk.fi.gl.extpoint.amort.IAmountAllocate.dealVoucher','凭证摊销转入金额自定义分配','kd.sdk.fi.gl.extpoint.amort.IAmountAllocate',{ts'2018-08-08  00:00:00'},'1',1,'83bfebc8000017ac',{ts'2018-08-08  00:00:00'},1,' '); 